% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlchoropleth.R
\name{choropleth_sf}
\alias{choropleth_sf}
\title{Aggregate attributes of coordinates to area level}
\usage{
choropleth_sf(sf_map, df, oper, crs = 4326)
}
\arguments{
\item{sf_map}{object of class sf}

\item{df}{data.frame containing coordinates (column names should be 'lon' and 'lat')}

\item{oper}{an arithmetic operation on the polygon level}

\item{crs}{coordinate reference system: integer with the EPSG code, or character with proj4string}
}
\value{
an object of class sf
}
\description{
A data.frame containing coordinates (in terms of longitude and latitude) is joined to the polygon level.
   Then arithmetic operations on the attributes of the coordinates are applied to obtain aggregated values for each polygon.
}
\examples{
choropleth_sf(nl_postcode2, insurance, sum(amount, na.rm = TRUE))
\dontrun{
shp_read <- sf::st_read(~/path/to/file.shp)
choropleth_sf(shp_read, insurance, sum(amount, na.rm = TRUE))
}
}
\author{
Martin Haringa
}
